Amend Specific Information In An Existing Mandate
This endpoint allows to perform amend an existing mandate by Initiator.
Mandates amended by initiator can be unilateral or bilateral. When applied unilaterally, then the amendment will be done immediately. When applied bilaterally, the amendment will remain pending until it is completed or declined by the counter party, or until it is recalled by the proposing party, or until it expires.
Authentication
AuthorizationBearer
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Query parameters
client_id
Unique reference which was shared during CitiConnect API Onboarding (client_id which used during OAuth token generation)
mandate_identification
Specify Unique identification, as assigned by the clearing scheme, to identify the mandate.
Request
Update Mandate client status details required
amend_details
amendment_mandate_details
amendment_initiating_party
amendment_creditor
amendment_ultimate
Response
OK
mandate_acceptance
Errors
400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error